What's not supported? - modperl

This is a discussion on What's not supported? - modperl ; Hiya all, I'm putting together a new box to migrate an old server over to. The existing server is running Apache 2.0.55 with mod_perl and mod_php. I'm looking at putting 2.2.8 on the new box, but the documentation is a ...

+ Reply to Thread
Results 1 to 2 of 2

Thread: What's not supported?

  1. What's not supported?

    Hiya all,

    I'm putting together a new box to migrate an old server over to. The
    existing server is running Apache 2.0.55 with mod_perl and mod_php.
    I'm looking at putting 2.2.8 on the new box, but the documentation is
    a little... lacking... in one area:

    "Apache 2.0 is fully supported.
    Most of Apache 2.2 is supported, and work toward full support is underway."

    Erm... so what's NOT supported? Are there things that exist in Apache
    2.0 that also exist in Apache 2.2 but aren't supported? Or are the
    only things not supported *new* things for 2.2?

    It's important to know not only that most 2.2 features are supported,
    but which are not, and the docs don't say a word on this that I can
    see. I Googled for it, too, but to no avail. All I could find relevant
    were links back to the What Is Mod Perl page and that text up there.

    I guess it comes down to: If I have an existing site built using
    mod_perl on 2.0 and I make a new server running 2.2 and migrate my
    code over, is it goung to work? Most of it is either pure mod_perl
    handlers, registry scripts, and output filters (both SSI and a custom
    one I use to "wrap" my layout around script output based on
    extension).

    Anyhow, just wondering.
    Thanks

    --
    Dodger


  2. Re: What's not supported?

    On Mon, Aug 4, 2008 at 6:47 PM, Dodger wrote:
    > Erm... so what's NOT supported? Are there things that exist in Apache
    > 2.0 that also exist in Apache 2.2 but aren't supported? Or are the
    > only things not supported *new* things for 2.2?


    Others can probably give you a more precise answer, but I believe it's
    just new things, particularly the new auth features in 2.2.

    - Perrin


+ Reply to Thread